Subject: bug#4979: 23.1.50; describe-text-properties produces *Help* buffer without back/forward buttons

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Jul 2021 20:48:04 +0200

Peter Dyballa <[email-masked]> writes:

>>> Shouldn't all functions which overwrite the previous contents of
>>> *Help*
>>> buffer also insert that [back] button?
>>
>> Yes.  I've installed a change which should fix it for
>> describe-text-properties and describe-char.  Please confirm that it
>> solves your problems,
>
> Yes, I can confirm that describe-text-properties now works as
> describe-function or describe-variable.
>
> But – there seem to be other describe-<whatever> functions which do
> not work like these. Some of these functions produce a [back] key only
> when they are repeated (describe-character-set for example,
> describe-categories, describe-face, describe-fontset) and not when
> they overwrite the contents of the *Help* buffer. Some never seem to
> create this navigation element:
>
> 	describe-bindings-internal
> 	describe-buffer-case-table
> 	describe-coding-system
> 	describe-current-coding-system
> 	describe-current-display-table
> 	describe-font

I tried the commands here in Emacs 28, and they all seemed to produce a
[back] button for me, so I'm going to go ahead and guess that this has
been fixed in the decade since it was reported, and I'm closing this bug
report.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no